'gem update --system' is causing build to abort

Brian's Avatar

Brian

03 Nov, 2017 07:41 PM

This line in my appveyor install section is now breaking the build. It was working fine 2 weeks ago. I've not changed anything related to appveyor.

Failure:
https://ci.appveyor.com/project/bdb/core/build/1.0.144/job/4dpw1cj6k00gdnha

Config:
https://github.com/ProsoftEngineering/core/blob/fs17/appveyor.yml

  1. 1 Posted by Brian on 06 Nov, 2017 03:54 PM

    Brian's Avatar

    Perhaps a bug with Ruby Gems:

    https://github.com/rubygems/rubygems/pull/2054

    Odd that this broken version slipped into AppVeyor images.

  2. Support Staff 2 Posted by Feodor Fitsner on 06 Nov, 2017 05:31 PM

    Feodor Fitsner's Avatar

    So, as I understand during Ruby upgrade we happened to install "broken" Ruby Gems?

    We are running these lines during Ruby installation:

    gem install rubygems-update --no-ri --no-rdoc
    update_rubygems
    gem update --system
    

    Looks like re-installing Ruby should fix the issue?

  3. 3 Posted by Brian on 07 Nov, 2017 02:20 PM

    Brian's Avatar

    Is this something you want me to add to my install section? Or just some notes?

  4. Support Staff 4 Posted by Feodor Fitsner on 07 Nov, 2017 10:03 PM

    Feodor Fitsner's Avatar

    I'm not sure if that helps. But perhaps re-installing Ruby during the build will? You can also remove gem update --system for now or switch to a "previous" build worker image.

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attaching KB article:

»

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac